@import "variables";

body{margin: 0px !important; font-family: $fuente-1;}



/*Imagen*/
.logo-form{position: relative; z-index: 10;}

/*Formularios*/
form{
    padding: 20px; color: #fff; font-family: $fuente-1; max-width: 400px; background: $color-1; margin-top: 30px; margin-bottom: 30px;
    ul,ol{list-style: none; padding: 0;}
    a{color: #fff;}
    .gform_fields{@extend %flexbox;}
    .gfield{width: 100%; padding: 10px; margin-bottom: 30px;}
    .gfield_label{margin-bottom: 15px; width: 100%; display: block;}
    .gsection{
        margin-bottom: 10px; padding-bottom: 0px; margin-top: 10px; width: 100%;
        .gsection_title{margin: 0px; padding: 0px; font-size: 16px; text-transform: uppercase;}
    }
    .w-100{width: 100%;}
    input,textarea,select{width: 100%; background: none; border: none; border-bottom: 1px solid $color-2; color: #fff; font-family: $fuente-2;}
    select{border: 1px solid $color-2;}
    option{color: $color-1;}
    textarea{border: 1px solid $color-2; resize: vertical;} 
    input[type="submit"]{width: auto; margin-top: 20px; border: none; padding: 20px 30px; background: $color-2; color: $color-1; font-weight: 700; font-size: 1.2rem; @extend %transition;}
    input[type="submit"]:hover{background: $color-3; @include prefijos(transform,scale(0.9)); cursor: pointer;}
    .gform_footer{text-align: right;}
    .gfield_description{font-size: .8rem; margin-top: 10px;}


    .gf-check{
        width: 100%;
        .gfield_label{display: none;}
        .gfield_checkbox li{
            @extend %flexbox; @include prefijos(align-items, center);
            input{width: 25px; height: 25px; margin-right: 10px; position: absolute; left: 0px; opacity: 0;}
            label{@extend %flexbox; @include prefijos(align-items, center);}
            label a{margin-left: 5px; position: relative;}
            label a:after{content: ""; height: 1px; width: 100%; background: $color-2; display: inline-block; position: absolute; top: 110%; left: 0px; @extend %transition;}
            label:before{width: 25px; height: 25px; border: 1px solid $color-2; border-radius: 3px; content: ""; background: $color-1; display: inline-block; margin-left: 0px; margin-right: 10px; content: ""; text-align: center; padding-top:3px; @extend %box-sizing}

            input:checked+label:before{content: "\f122";  font-family: $fuente-ico;}
        }
    }

    .validation_error{display: none;}
    .validation_message{color: $color-3; display: block; margin-top: 5px; font-size: 10px;}
}

.form-cabecera form{position: relative;}
.columna-azul{background: $color-1;}
.form-cabecera form:before, .form-cabecera form:after, .columna-azul:before, .columna-azul:after{content: ""; position: absolute; background: $color-1; min-height: 1000px; width: 100%; left: 0px; top: 100%; display: inline-block;}
.form-cabecera form:after,.columna-azul:after{bottom: 100%; top: auto;}


/*Títulos*/
.mw-4{max-width: 500px; margin: auto;}
.h1-landing{color: #fff; font-family: $fuente-1; font-size: 3rem; font-weight: 700; text-transform: uppercase; line-height: 48px;}

/*Widget*/
.typeform-widget{width: 100% !important;}
.punto img{width: 60px !important; height: 60px !important;}

/*Videojuegos*/
.landing-videojuegos-titulo{width: 450px;}
.landing-videojuegos-video .elementor-widget-container{
    width: 450px; height: 553px;
}

/****Campos de prefijo telefónico******/
.gf-prefijo{width: 105px !important;}
.gf-prefijo .ginput_container_select{position: relative;}
.gf-prefijo select{padding: 0px 0px 0px 35px; position: relative; border: none; border-bottom: 1px solid #30d9c4;}
.gf-prefijo .ginput_container_select:before{content:""; width: 20px; height: 13px; background: url("../img/prefijo-esp.png"); position: absolute; left: 8px; top: 7px;}
.gform_wrapper[data-prefijo="prefijo0054"] .ginput_container_select:before{background: url("../img/prefijo-arg.png") !important;}
.gform_wrapper[data-prefijo="prefijo0052"] .ginput_container_select:before{background: url("../img/prefijo-mex.png") !important;}
.gform_wrapper[data-prefijo="prefijo0057"] .ginput_container_select:before{background: url("../img/prefijo-col.png") !important;}
.gform_wrapper[data-prefijo="prefijo0051"] .ginput_container_select:before{background: url("../img/prefijo-per.png") !important;}
.gform_wrapper[data-prefijo="prefijo00593"] .ginput_container_select:before{background: url("../img/prefijo-ecu.png") !important;}
.gform_wrapper[data-prefijo="prefijo0056"] .ginput_container_select:before{background: url("../img/prefijo-chi.png") !important;}
.gform_wrapper[data-prefijo="prefijo001"] .ginput_container_select:before{background: url("../img/prefijo-usa.png") !important;}
.gform_wrapper[data-prefijo="prefijo0044"] .ginput_container_select:before{background: url("../img/prefijo-uka.png") !important;}
.gform_wrapper[data-prefijo="prefijo0058"] .ginput_container_select:before{background: url("../img/prefijo-ven.png") !important;}
.gform_wrapper[data-prefijo="prefijo00502"] .ginput_container_select:before{background: url("../img/prefijo-gua.png") !important;}
.gform_wrapper[data-prefijo="prefijo0033"] .ginput_container_select:before{background: url("../img/prefijo-fra.png") !important;}
.gform_wrapper[data-prefijo="prefijo00351"] .ginput_container_select:before{background: url("../img/prefijo-por.png") !important;}

.gf-tlf-prefij{@include prefijos2(width,calc(100% - 110px) !important);}

#gform_wrapper_18 .w-100{width: 100% !important; min-width: 100% !important}


/*****Repesca*****/
.form-repesca{
    form{background: rgba(0,15,159,.8); max-width: 100%;}
}


@import "clases";



@media screen and (max-width: 800px) {
    .form-cabecera form:before, .form-cabecera form:after, .columna-azul:before, .columna-azul:after{display: none;}
    .form-cabecera form{margin: auto;}
    
    .landing-videojuegos-titulo{width: 350px; margin: auto !important;}
    .landing-videojuegos-video .elementor-widget-container{
        width: 350px; height: 430px; margin: auto !important; margin-top: 50px !important;
    }
}


@media screen and (max-width: 600px) {
     /*Movil formulario*/
    #form-curso{padding: 0px;}
    .form-curso-dn-mov{display: none;}
    .form-fixed{position: fixed; width: 100%; height: 100vh; background: $color-1; left: 0px; bottom: -100vh; z-index: 1600; @include prefijos(transition,.6s);}
    .form-fixed-scroll{padding: 80px 30px 20px 30px; width: 100%; height: 100%; overflow: hidden; overflow-y: scroll;}
    .form-fixed-header{
        display:-ms-flexbox !important; display:-webkit-box !important; display:-moz-blox !important; display: -webkit-flex !important; display:flex !important; 
        @include prefijos(flex-direction, row);
        @include prefijos(flex-wrap, wrap);
        @include prefijos(justify-content, space-between);
        @include prefijos(align-items, center);
        img{width: auto; margin: 0;}
    }
    .form-fixed-title{display: block; text-align: center; margin-bottom: 40px; font-size: 1.2rem; strong{font-size: 1.4rem; display: block;}}
    .desplegable-bot-plegar{font-size: 2rem; color: #fff !important;}

    .form-fixed-desplegar{height: 56px; display: block !important; width: 100%; padding: 14px; font-size: 1.2rem; color: #fff; position: fixed; bottom: -60px; left: 0px; text-align: center; background: $color-3; z-index: 1400; @include prefijos(transition,.4s); @include prefijos(box-shadow, 0px -3px 7px 0px rgba(0,0,0,0.2) !important);}
    .link-form-scroll-show{bottom: 0px !important;}

    form .gfield{width: 100%;}
    form .gfield.gf-check{width: 100%;}
}

   